#
# spec file for package mailgraph (Version 1.14)
#
# Copyright (c) 2007 Christian Wittmer, Deidesheim, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via <chris@computersalat.de>
#

%if %{?rel:0}%{!?rel:1}
%define rel 1
%endif

%define serverroot %(/usr/sbin/apxs2 -q datadir 2>/dev/null || /usr/sbin/apxs2 -q PREFIX)
%define cgi_dir %{serverroot}/cgi-bin
%define css_dir %{serverroot}/htdocs/css

Name:         	mailgraph
Summary:      	file listing as a tree
Version:      	1.14
Release:     	5.5
License:      	GPL
Group:        	System/Monitoring
URL:          	http://mailgraph.schweikert.ch/
Source0:      	%{name}-%{version}.tar.bz2
Source1:        %{name}.init
Source2:        %{name}.logrotate
Source3:        %{name}.sysconfig
Patch0:        	%{name}-1.14-pl.patch
Patch1:        	%{name}-1.14-cgi.patch
Patch2:        	%{name}-1.14-css.patch
BuildArch:      noarch
BuildRoot:    	%{_tmppath}/%{name}-%{version}-build
BuildRequires:  apache2-devel
Requires:       httpd perl(File::Tail) postfix rrdtool

#-------------------------------------------------------------------------------
%description
#-------------------------------------------------------------------------------
%{name} - a RRDtool frontend for Postfix Statistics

%{name} is a very simple mail statistics RRDtool frontend for Postfix
that produces daily, weekly, monthly and yearly graphs of received/sent 
and bounced/rejected mail (SMTP traffic).

Authors: David Schweikert <david@schweikert.ch>

-------------------------------------------------------------------------------

#%debug_package
#-------------------------------------------------------------------------------

%prep
#-------------------------------------------------------------------------------
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && %{__rm} -rf $RPM_BUILD_ROOT
%setup -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

#-------------------------------------------------------------------------------
%build
#-------------------------------------------------------------------------------
#make CFLAGS="$RPM_OPT_FLAGS"

#-------------------------------------------------------------------------------
%install
#-------------------------------------------------------------------------------
%{__install} -d -m 755 $RPM_BUILD_ROOT%{_bindir}
%{__install} -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/adm/fillup-templates
%{__install} -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/img
%{__install} -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}
%{__install} -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/init.d
%{__install} -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
%{__install} -d -m 755 $RPM_BUILD_ROOT%{cgi_dir}
%{__install} -d -m 755 $RPM_BUILD_ROOT%{css_dir}

%{__install} -m 755 %{name}.pl $RPM_BUILD_ROOT%{_bindir}/
%{__install} -m 755 %{name}.cgi $RPM_BUILD_ROOT%{cgi_dir}/
%{__install} -m 644 %{name}.css $RPM_BUILD_ROOT%{css_dir}/
%{__install} -m 755 %{S:1} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}
%{__install} -m 644 %{S:2} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}
%{__install} -m 755 %{S:3} $RPM_BUILD_ROOT%{_localstatedir}/adm/fillup-templates/sysconfig.%{name}
%{__ln_s} -f ../../etc/init.d/%{name} $RPM_BUILD_ROOT%{_bindir}/rc%{name}

#-------------------------------------------------------------------------------
%pre
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
%post
#-------------------------------------------------------------------------------
%{fillup_and_insserv mailgraph}

#-------------------------------------------------------------------------------
%preun
#------------------------------------------------------------------------------- 
%stop_on_removal mailgraph

#-------------------------------------------------------------------------------
%postun
#-------------------------------------------------------------------------------
%restart_on_update mailgraph
%{insserv_cleanup}

#-------------------------------------------------------------------------------
%clean
#-------------------------------------------------------------------------------
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && %{__rm} -rf $RPM_BUILD_ROOT

#-------------------------------------------------------------------------------
%files
#-------------------------------------------------------------------------------
%defattr(-,root,root)
%doc CHANGES COPYING README
%dir %{_localstatedir}/lib/%{name}
%attr(755,wwwrun,www) %dir %{_localstatedir}/lib/%{name}/img
%dir %{_localstatedir}/log/%{name}
%{_bindir}/%{name}.pl
%{_bindir}/rc%{name}
%{cgi_dir}/%{name}.cgi
%dir %{css_dir}
%{css_dir}/%{name}.css
%{_sysconfdir}/init.d/%{name}
%{_sysconfdir}/logrotate.d/%{name}
%{_localstatedir}/adm/fillup-templates/sysconfig.%{name}

#-------------------------------------------------------------------------------
%changelog -n tree
#-------------------------------------------------------------------------------
* Thu Sep 28 2007 - <chris@computersalat.de> 1.14 - 3
- added missing rclink
* Thu Sep 27 2007 - <chris@computersalat.de> 1.14 - 2
- fixed Requires - smtpd should be postfix
* Thu Sep 27 2007 - <chris@computersalat.de> 1.14 - 1
- first run
- Upload to openSUSE BuildService
